Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::PlaneBoundedVolume Class Reference

Represents a convex volume bounded by planes. More...

`#include <OgrePlaneBoundedVolume.h>`

List of all members.

## Public Types

typedef std::vector< Plane > | PlaneList

## Public Methods

| PlaneBoundedVolume ()
| PlaneBoundedVolume (Plane::Side theOutside)
| Constructor, determines which side is deemed to be 'outside'.
bool | intersects (const AxisAlignedBox &box) const
| Intersection test with AABB.
bool | intersects (const Sphere &sphere) const
| Intersection test with Sphere.

## Public Attributes

PlaneList | planes
| Publicly accessible plane list, you can modify this direct.
Plane::Side | outside

## Detailed Description

Represents a convex volume bounded by planes.

Definition at line 39 of file OgrePlaneBoundedVolume.h.

## Member Typedef Documentation

typedef std::vector<Plane> Ogre::PlaneBoundedVolume::PlaneList

| Definition at line 42 of file OgrePlaneBoundedVolume.h.

## Constructor & Destructor Documentation

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( |  | ) |

| Definition at line 47 of file OgrePlaneBoundedVolume.h.

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( | Plane::Side | theOutside | ) |

| Constructor, determines which side is deemed to be 'outside'. Definition at line 49 of file OgrePlaneBoundedVolume.h.

## Member Function Documentation

bool Ogre::PlaneBoundedVolume::intersects | ( | const Sphere & | sphere | ) | const

Intersection test with Sphere.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 93 of file OgrePlaneBoundedVolume.h.

References Ogre::Sphere::getCenter(), Ogre::Plane::getDistance(), Ogre::Sphere::getRadius(), and Ogre::Real.

bool Ogre::PlaneBoundedVolume::intersects | ( | const AxisAlignedBox & | box | ) | const

Intersection test with AABB.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 55 of file OgrePlaneBoundedVolume.h.

References Ogre::AxisAlignedBox::getAllCorners(), Ogre::Plane::getSide(), and Ogre::AxisAlignedBox::isNull().

Referenced by Ogre::DefaultPlaneBoundedVolumeListSceneQuery::execute(), and Ogre::SceneManager::renderShadowVolumesToStencil().

## Member Data Documentation

Plane::Side Ogre::PlaneBoundedVolume::outside

| Definition at line 45 of file OgrePlaneBoundedVolume.h. Referenced by Ogre::Light::_getNearClipVolume().

PlaneList Ogre::PlaneBoundedVolume::planes

| Publicly accessible plane list, you can modify this direct. Definition at line 44 of file OgrePlaneBoundedVolume.h. Referenced by Ogre::Light::_getFrustumClipVolumes(), Ogre::Light::_getNearClipVolume(), and Ogre::intersect().

The documentation for this class was generated from the following file:

- OgrePlaneBoundedVolume.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:25 2004